net.sf.jasperreports.engine.export.ooxml.type

## Enum PaperSizeEnum

- java.lang.Object
- - java.lang.Enum<PaperSizeEnum>
  - - net.sf.jasperreports.engine.export.ooxml.type.PaperSizeEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PaperSizeEnum>, JREnum, NamedEnum

      public enum PaperSizeEnum
      extends java.lang.Enum<PaperSizeEnum>
      implements JREnum

  Version:
    $Id: PaperSizeEnum.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `A3` Specifies the A3 paper size.
    `A4` Specifies the A4 paper size.
    `A5` Specifies the A5 paper size.
    `ENVELOPE_DL` Specifies the DL Envelope paper size.
    `EXECUTIVE` Specifies the Executive paper size.
    `LEGAL` Specifies the Legal paper size.
    `LETTER` Specifies the Letter paper size.
    `UNDEFINED` Specifies an undefined paper size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PaperSizeEnum` | `getByName(java.lang.String name)`
    `static PaperSizeEnum` | `getByValue(byte value)`
    `static PaperSizeEnum` | `getByValue(java.lang.Byte value)`
    `java.lang.String` | `getName()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static PaperSizeEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PaperSizeEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final PaperSizeEnum UNDEFINED

      Specifies an undefined paper size.

    - #### LETTER

          public static final PaperSizeEnum LETTER

      Specifies the Letter paper size.

    - #### LEGAL

          public static final PaperSizeEnum LEGAL

      Specifies the Legal paper size.

    - #### EXECUTIVE

          public static final PaperSizeEnum EXECUTIVE

      Specifies the Executive paper size.

    - #### A3

          public static final PaperSizeEnum A3

      Specifies the A3 paper size.

    - #### A4

          public static final PaperSizeEnum A4

      Specifies the A4 paper size.

    - #### A5

          public static final PaperSizeEnum A5

      Specifies the A5 paper size.

    - #### ENVELOPE_DL

          public static final PaperSizeEnum ENVELOPE_DL

      Specifies the DL Envelope paper size.

  - ### Method Detail

    - #### values

          public static PaperSizeEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PaperSizeEnum c : PaperSizeEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PaperSizeEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getByName

          public static PaperSizeEnum getByName(java.lang.String name)

    - #### getByValue

          public static PaperSizeEnum getByValue(java.lang.Byte value)

    - #### getByValue

          public static PaperSizeEnum getByValue(byte value)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com